Q
Problem solve Get help with specific problems with your technologies, process and projects.

Errors after patch installation

I was trying to upgrade from Oracle 9.0.1.0.0 to 9.0.4.0.0 so I applied a patch. But after applying, when I tried "startup migrate" it threw error invalid options and "catpatch.sql" was missing. It is still showing 9.0.1.0.0, but when I tried installing the patch again it says it is already installed.

I was trying to upgrade from Oracle 9.0.1.0.0 to 9.0.4.0.0 so I applied a patch on 9.0.1.0.0. But after applying, when I tried "startup migrate" it threw error invalid options and "catpatch.sql" was missing. It is still showing 9.0.1.0.0, but when I tried installing the patch again it says it is already installed. Please guide me on what to do. I reinstalled Oracle and then tried again but the same thing happened.
It's unfortunate that you did not provide the exact error message because the problems you describe can be due to a number of issues. I'm assuming that you mean to say that you are upgrading to 9.2.0.4 since I believe "startup migrate" is only available as of version 9.2 and above. I have seen this error occur if environment variables are still pointing to the old ORACLE_HOME prior to starting up the database. Check that your environment variables are correct and ensure that you are following the upgrade instructions step-by-step. Failing that, I would suggest opening a TAR with Oracle Support.

Dig Deeper on Oracle database installation, upgrades and patches

Have a question for an expert?

Please add a title for your question

Get answers from a TechTarget expert on whatever's puzzling you.

You will be able to add details on the next page.

Start the conversation

Send me notifications when other members comment.

Please create a username to comment.

-ADS BY GOOGLE

SearchDataManagement

SearchBusinessAnalytics

SearchSAP

SearchSQLServer

TheServerSide.com

SearchDataCenter

SearchContentManagement

SearchHRSoftware

Close